/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package jdbc;

import java.sql.*;

public class Install {

    public static void main(String[] args) {
        
        Connection connection = null;
        Statement statement = null;
        try {
            // load the sqlite-JDBC driver using the current class loader
            Class.forName("org.sqlite.JDBC");

            // create a database connection
            connection = DriverManager.getConnection("jdbc:sqlite:psi.sqlite");
            statement = connection.createStatement();
            statement.setQueryTimeout(30);

            statement.executeUpdate("drop table if exists Pes");
            statement.executeUpdate(
             "create table Pes (id integer primary key," +
                               "jmeno string," +
                               "majitel string)");
            statement.executeUpdate("insert into Pes (jmeno,majitel) values('Alik', 'Novak')");
            statement.executeUpdate("insert into Pes (jmeno,majitel) values('Azor', 'Dvorak')");
            statement.executeUpdate("insert into Pes (jmeno,majitel) values('Asta', 'Novakova')");
        } catch (ClassNotFoundException ex) {
            System.out.println("SQLite driver nenalezen");
        } catch (SQLException e) {
            // if the error message is "out of memory",
            // it probably means no database file is found
            System.err.println(e.getMessage());
        } finally {
            try {
                if (connection != null) {
                    connection.close();
                }
            } catch (SQLException e) {
                // connection close failed.
                System.err.println(e);
            }
        }

    }
}
